﻿@import "thickbox.css";
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');


input[readonly] {
    cursor: no-drop;
}
label {
    font-weight: 600;
}

hr {
    border-style: dashed;
}

.btn {
    --bs-btn-disabled-opacity: 0.2;
}
.aspNetDisabled {
    opacity: 0.2;
    cursor: not-allowed;
}


.toast-container {
    position: fixed;
}

.form-control:disabled, .form-control[readonly] {
    background-color: #e9ecef;
    opacity: 1;
}

.menuitems {
    padding: 20px;
}

    .menuitems:hover {
        background-color: #ffffff0d;
    }

#mMenu .navbar-nav > li {
    padding: 29px 20px;
    font-size: 20px;
}

    #mMenu .navbar-nav > li:hover {
        background-color: #ffffff0d;
    }

    #mMenu .navbar-nav > li > a {
        color: #fff;
        text-decoration: none;
    }

        #mMenu .navbar-nav > li > a::after {
            display: inline-block;
            margin-left: .655em;
            vertical-align: .155em;
            content: "";
            border-top: .3em solid;
            border-right: .3em solid transparent;
            border-bottom: 0;
            border-left: .3em solid transparent;
        }


.mmenu {
    border-radius: 0px !important;
    background-color: #212529;
    border: 0px;
}

    .mmenu > li > a {
        display: block;
        width: 100%;
        padding: var(--bs-dropdown-item-padding-y) var(--bs-dropdown-item-padding-x);
        clear: both;
        font-size: 17px;
        font-weight: 400;
        color: #fff;
        text-align: inherit;
        text-decoration: none;
        white-space: nowrap;
        background-color: transparent;
        border: 0;
        border-radius: var(--bs-dropdown-item-border-radius, 0);
    }

        .mmenu > li > a.hover, .mmenu > li > a:hover {
            color: var(--bs-dropdown-link-active-color);
            text-decoration: none;
            background-color: var(--bs-dropdown-link-active-bg);
        }



.toast {
    --bs-toast-color: #fff;
    --bs-toast-bg: #a3343f;
    --bs-toast-header-color: #fff;
    --bs-toast-header-bg: #dc3545;
}

.active {
    --bs-toast-color: #fff;
    --bs-toast-bg: #115c39;
    --bs-toast-header-color: #fff;
    --bs-toast-header-bg: #198754;
    
}

.middle tr {
    display: flex
}

.middle td {
    padding-left:10px;
}
.middle input[type="checkbox"] {
    margin-right:5px;
}
input[type="checkbox"] {
    margin-right: 15px;
    margin-top: 5px;
}

input[type="radio"] {
    width: 20px;
    height: 18px;
    margin-right: 5px;
}
.form-check-list tr td {
    display: flex;
}

input[type='checkbox'] + label {
    cursor: pointer;

}

input:-internal-autofill-selected {
    appearance: menulist-button;
    background-image: none !important;
    background-color: #fff !important;
    color: fieldtext !important;
}


#modal-footer {
    position: absolute;
    bottom: 0;
    padding: 15px 15px 0px 0px;
    border-top: 1px solid #dee2e6;
    width: 100%;
}

.form-signin .form-floating:focus-within {
    z-index: 2;
}

.form-signin input[type="username"] {
    margin-bottom: -1px;
    border-bottom-right-radius: 0;
    border-bottom-left-radius: 0;
}

.form-signin input[type="password"] {
    margin-bottom: 10px;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
}

.bi {
    vertical-align: -.125em;
    fill: currentColor;
}

.pagination {
    display: table-row;
}

    .pagination td a:first-child .page-link {
        border-top-left-radius: var(--bs-pagination-border-radius);
        border-bottom-left-radius: var(--bs-pagination-border-radius);
    }

    .pagination td a {
        position: relative;
        display: block;
        padding: var(--bs-pagination-padding-y) var(--bs-pagination-padding-x);
        font-size: var(--bs-pagination-font-size);
        color: var(--bs-pagination-color);
        text-decoration: none;
        background-color: var(--bs-pagination-bg);
        border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
        transition: color .15sease-in-out, background-color .15sease-in-out, border-color .15sease-in-out, box-shadow .15sease-in-out;
    }

    .pagination td span {
        z-index: 3;
        transition: all 0.3s;
        border-radius: 10px;
        color: var(--bs-pagination-active-color);
        background-color: var(--bs-pagination-active-bg);
        border-color: var(--bs-pagination-active-border-color);
        padding: 8px 12px;
        border: var(--bs-pagination-border-width) solid var(--bs-pagination-border-color);
    }


.homepage {
    max-width: 500px;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    margin: 0 auto;
    border-radius: 10px;
    padding: 40px;
    padding-bottom: 20px;
}

.footer a {
    margin-top: 20px;
    font-size: 13px;
    opacity: .6;
    text-decoration: none;
}

    .footer a:hover {
        opacity: 1;
    }



.counter-box {
    background: #00569f;
    padding: 20px;
    text-align: center;
    color: #fff !important;
}

    .counter-box p {
        margin: 5px 0 0;
        padding: 0;
        font-size: 20px;
        font-weight: bold;
    }

    .counter-box i {
        font-size: 50px;
    }

.counter {
    font-size: 32px;
    font-weight: 700;
    line-height: 28px;
    transition: all 0.3s;
}

.form-floating > .form-control-plaintext ~ label::after, .form-floating > .form-control:focus ~ label::after, .form-floating > .form-control:not(:placeholder-shown) ~ label::after, .form-floating > .form-select ~ label::after {
    background-color: transparent;
}

.gv-accordion-scroll {
    max-height: 450px;
    overflow-y: auto;
}

.card-header .fancy-tabs {
    margin-bottom: -1px;
}

.fancy-tabs .nav-link {
    border: none;
    background: transparent;
    color: #fff;
    font-weight:600;
    padding: 0.75rem 1.25rem;
    position: relative;
}

.fancy-tabs .nav-link.active {
    color: #0d6efd;
    border-bottom:1px solid #ccc;
    --bs-bg-opacity: 1;
    background-color: rgba(var(--bs-light-rgb), var(--bs-bg-opacity)) !important;
}

.nav-link.tab-error {
    color: #dc3545 !important;
}

    .nav-link.tab-error::after {
        background-color: #dc3545 !important;
    }

.tab-status {
    font-weight: bold;
}

    .tab-status.ok {
        color: #198754; /* bootstrap success */
    }

    .tab-status.error {
        color: #dc3545; /* bootstrap danger */
    }

